package com.usky.system.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.system.domain.MceReceive;
import com.usky.common.mybatis.core.CrudService;

import java.util.Map;

/**
 * <p>
 * 消息接收表 服务类
 * </p>
 *
 * @author han
 * @since 2024-05-09
 */
public interface MceReceiveService extends CrudService<MceReceive> {

    CommonPage<Object> mceList(String infoTitle, String infoType, String startTime, String endTime, Integer id, Integer current, Integer size);

    CommonPage<Object> mceManageList(String infoTitle, String infoType, String startTime, String endTime, Integer current, Integer size);

    CommonPage<MceReceive> mceManageById(Integer id, Integer current, Integer size);

    Map<String, Object> mceReceiveStatic();

    void updateMceReceive(MceReceive mceReceive);

    void add(String mceReceive);

    boolean removeById(Integer id);

}
